Bug 97715 - quota in 2.4.20-18.7 works only with certain compile options
quota in 2.4.20-18.7 works only with certain compile options
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 13:53 EDT by Pavel Urban
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-22 13:34:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Urban 2003-06-19 13:53:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3.1) Gecko/20030425

Description of problem:
While compiling custom kernel, you have to choose 'Quota support', 'VFS v0 quota
format support' and 'Compatible quota interfaces' of type 'VFSv0'. Otherwise,
quota doesn't work (complains about bad format etc).

Version-Release number of selected component (if applicable):
kernel-source-2.4.20-18.7, quota-3.06-9.7

How reproducible:
Always

Steps to Reproduce:
1. recompile kernel with other quota-related option
2. try quotaon -v /some_system_that_already_worked
3.
    

Expected Results:  I would expect that these two packages should work together
without having to choose backward compatibility

Additional info: This is more for some lost soul seeking info than for kernel
developers. I hope it will save somebody some time.
Comment 1 acount closed by user 2003-06-19 18:33:56 EDT
rh_2.4.20-18.7 kernel has only 2 options selected:

[*] Quota support
< >   Old quota format support
<*>   VFS v0 quota format support
[ ]   Compatible quota interfaces
Comment 2 Pavel Urban 2003-06-20 02:10:48 EDT
I confirm. 'VFS v0 quota format support' is enough. Some text to this compile
option would be nice...
Comment 3 Pavel Urban 2003-06-20 06:11:06 EDT
The only problem I can see is 'edquota'. It reports 'edquota: WARNING -
/dev/sda5: cannot change current block allocation'. The rest of quota-related
binaries looks OK. Maybe it is just my problem... can anybody confirm?
Comment 4 Alan Cox 2003-06-22 13:34:24 EDT
This is correct. v0 quota format is neccessary for 32bit uid support, the old
old quota format in Linux was 16bit uid.

Note You need to log in before you can comment on or make changes to this bug.